#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.UI.Xaml.SunburstChart;
using System;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;

namespace Animation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class ToolTipConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo language)
        {
            return (double)value + "%";
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo language)
        {
            return value;
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            this.MainTask_Data = new ObservableCollection<MainTask>
            {
                new MainTask { CompletedPart = " ", ShortName = "MS", Progress = 100 },
                new MainTask { CompletedPart = "  ", ShortName = "MS", Progress = 0 },
                new MainTask { CompletedPart = " ", ShortName = "L", Progress = 100 },
                new MainTask { CompletedPart = "  ", ShortName = "L", Progress = 0 },
                new MainTask { CompletedPart = " ", ShortName = "C", Progress = 30 },
                new MainTask { CompletedPart = "  ", ShortName = "C", Progress = 70 },
                new MainTask { CompletedPart = " ", ShortName = "MC", Progress = 80 },
                new MainTask { CompletedPart = "  ", ShortName = "MC", Progress = 20 },
                new MainTask { CompletedPart = " ", ShortName = "19F", Progress = 100 },
                new MainTask { CompletedPart = "  ", ShortName = "19F", Progress = 0 },
                new MainTask { CompletedPart = " ", ShortName = "T", Progress = 100 },
                new MainTask { CompletedPart = "  ", ShortName = "T", Progress = 0 },
                new MainTask { CompletedPart = " ", ShortName = "P", Progress = 100 },
                new MainTask { CompletedPart = "  ", ShortName = "P", Progress = 0 },
                new MainTask { CompletedPart = " ", ShortName = "I", Progress = 100 },
                new MainTask { CompletedPart = "  ", ShortName = "I", Progress = 0 },
            };
            
        }

        public ObservableCollection<MainTask> MainTask_Data { get; set; }

        public Array AnimationType
        {
            get { return Enum.GetValues(typeof(AnimationType)); }
        }
    }

    public class MainTask
    {
        public string ShortName { get; set; }
        public string CompletedPart { get; set; }
        public double Progress { get; set; }
    }
}
